ALERT: This website is in development stages. Some features of the website may not yet fully function.

FAQ

Frequently asked questions regarding CyberWorldReset

  • How does CyberWorldReset load chunks?

    When creating this plugin, I found the standard world loading mechanism to cause major TPS drops and instantaneous stress on the CPU. Because of this, I created my own loading mechanism that this plugin utilizes with the ULTRA-SAFE, SAFE, NORMAL, and FAST options. These modes also recognize when the server TPS drops below 20 and will slow down the chunk loading time based on the current TPS.

    How does it reduce TPS drop?

    Essentially, the plugin stretches out the loading time to cause minimal stress/TPS drop. Each server can select its desired loading speed/type and radius.

    What are the loading types?

    • STANDARD uses Minecraft's chunk loading mechanism, which can cause major lag.
      • Not recommended, drops TPS and lags players.
    • ULTRA-SAFE loads 4 chunks per second.
      • Recommended for potato CPUS or extra-large amounts of players.
    • SAFE loads 7 chunks per second.
      • Recommended for low-end CPUS or large amounts of players.
    • NORMAL loads 12 chunks per second.
      • Recommended for mid-end CPUS or medium amounts of players.
    • FAST loads 20 chunks per second.
      • Recommended for high-end CPUS or small amounts of players.
    • ULTRA-FAST will not load any chunks, the chunks will be force loaded when the players are sent back.
      • Recommended for top-notch CPUs or very small amounts of players.

    What order does CyberWorldReset load chunks?

    Chunks are loaded starting from the spawn chunk and spiraling out until the final chunk is loaded. Here is a visual representation of what order the plugin will load chunks for a 3 radius setup:

    7x7 Chunk Loading Schematic
  • What versions does CyberWorldReset support?

    CyberWorldReset Standard will work on versions 1.8.x - 1.18.x and CyberWorldReset will work on 1.13.x - 1.18.x. However, there can be some differences in the setup process of different versions (usually legacy vs. modern versions), but we try to maintain the same features across all versions.

    Why do you not support version 1.7?

    Since the release of 1.8, a lot of new features have been added to the game. In many cases, 1.7 doesn't have an outright alternative. This often leads to spending uneccessary time creating a workaround just for version 1.7. Whats stopping you from upgrading to 1.8 (or later)?

    Whats the difference between legacy & modern versions?

    Versions 1.12.2 and earlier are considered legacy, while versions 1.13 and later are considered modern.

    The method of implementing features for versions 1.13 - latest is usually different from versions 1.7 - 1.12.2. For example, block namings/IDs were mostly changed in version 1.13 when compared to version 1.12.2.

    Why does the premium version not support version 1.8 - 1.12.2?

    It is a tedious process. We plan to add legacy support for CyberWorldReset Premium, but it will take some time.

  • Where can I find the CyberWorldReset plugin?

    You can find them on the following websites:

    Do not trust any other websites as they can contain malware!

  • Where can I get support/help with a CyberWorldReset?

    Discord

    You can chat with us on Discord and we will try our best to get back to you as soon as we can! Our response time is usually pretty quick here.

    SpigotMC

    Create a post under the plugin's discussion tab with your specific request on SpigotMC. Please note that it may take a while to receive a response.

    Please do NOT use the review section as a place to get support!


FAQ
Commands